#!/bin/sh
#
# Stop SFCB.
#

if [ -e /etc/init.d/sblim-sfcb ]; then
    # RHEL6
    SFCB_SERVICE=/etc/init.d/sblim-sfcb
    $SFCB_SERVICE status &> /dev/null
elif [ -e /etc/init.d/sfcb ]; then
    # SLES11
    SFCB_SERVICE=/etc/init.d/sfcb
    $SFCB_SERVICE status &> /dev/null
else
    systemctl status sblim-sfcb.service &> /dev/null
fi

if [ $? == 0 ]; then
    # SFCB is running so we must stop it
    if [ -z "$SFCB_SERVICE" ] ; then
        systemctl stop sblim-sfcb.service
    else
        $SFCB_SERVICE stop
    fi
    if [ $? != 0 ]; then
        echo "Could not stop sfcb to install providers"
        exit 1
    fi
fi
